http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/studio-componentsLists the <code>StudioComponents</code> in a studio.
The studio ID.
The max number of results to return in the response.
The token for the next set of results, or null if there are no more results.
Filters the request to studio components that are in one of the given states.
Filters the request to studio components that are of one of the given types.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/studio-components' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/studio-componentsLists the <code>StudioComponents</code> in a studio.
The studio ID.
The max number of results to return in the response.
The token for the next set of results, or null if there are no more results.
Filters the request to studio components that are in one of the given states.
Filters the request to studio components that are of one of the given types.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/studio-components' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}